<?php
	


include('../conexion.php'); 
 date_default_timezone_set('America/Costa_Rica');	
 
session_start();

 $usu=$_SESSION['username'];

	if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'){
		}else{
			header('location:acceso_denegado.php');
		}


		$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$nomb = $row["usu"];




$fechahoy=date("Y-m-d");


$sel_fact="INSERT INTO terminal_pagos_clientestmp(numrec,fecrec) VALUE ('','$fechahoy')";
	$mysqli->query($sel_fact);
	$numrec= $mysqli-> insert_id ;

$consulta1 = "DELETE FROM terminal_pagos_clientestmp  WHERE numrec !='$numrec'";
$mysqli->query($consulta1);	


if (!isset($_GET["cadena_busqueda"])) { $cadena_busqueda=""; } else  { $cadena_busqueda=$_GET["cadena_busqueda"]; }

if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }
if ($cadena_busqueda<>"") {
	$array_cadena_busqueda=split("~",$cadena_busqueda);
	$cdgcli=$array_cadena_busqueda[1];
	$dsccli=$array_cadena_busqueda[2];

} else {
	$cdgcli="";
	$dsccli="";
	//$cboEstados="";

}

?>
<html>
	<head>
		<title>Recibos</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
      		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
          
        	<script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
        


  <script src="..//jquery-maskmoney/src/jquery.maskMoney.js" type="text/javascript"></script>

		<script language="javascript">
		



  $(function() {
   // $('#currency').maskMoney();
//$("#monabo").maskMoney({thousands:',', decimal:'.', allowZero:true, prefix: ' '});
//$("#monabo").maskMoney({thousands:',', decimal:'.',precision:2});
//$("#vuelto").maskMoney({thousands:',', decimal:'.',precision:2});
//$("#pagacon").maskMoney({thousands:',', decimal:'.',precision:2});
//$("#totalpago").maskMoney({thousands:',', decimal:'.',precision:2});

	  })



  window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==113)abreVentana(); // f3  busqueda de clientes 
if(num==118){ validar_Recibo(); } // f8 guardar e imprimir 
//if(num==120){ ConsultarArticulo();  }//f9 guardar e imprimir
///if(num==121) validar_Recibo();
	    //f10 guardar e imprimir 

  }  
  }

		
		
		
		

	
	
		
		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	
		
		function nueva_Recibo() {
			location.href="Nuevo_Recibo.php";
		}
		
		function buscar() {
			var cadena;
			cadena=hacer_cadena_busqueda();
			document.getElementById("cadena_busqueda").value=cadena;
			document.getElementById("form_busqueda").submit();
			  document.getElementById("salant").value="";
			  document.getElementById("salant").select();

			  

		}
		
		
		
		
		function hacer_cadena_busqueda() {
			var cdgcli=document.getElementById("cdgcli").value;
			var dsccli=document.getElementById("dsccli").value;
			//var numfactura=document.getElementById("numfactura").value;			
			//var cboEstados=document.getElementById("cboEstados").value;
			//var fechainicio=document.getElementById("vehpla").value;
			//var fechafin=document.getElementById("fechafin").value;
			var cadena="";
			cadena="~"+cdgcli+"~"+dsccli+"~";
			return cadena;
			}



	

/////////////////////////////////////////////////////////  validar abono ////////////////////////////////////////////////


			
		
		function limpiar() { 
			document.getElementById("form_busqueda").reset();
	
		}
		
		function abreVentana(){
			miPopup = window.open("ver_clientes2.php","miwin","width=700,height=650,scrollbars=yes");

			miPopup.focus();
		}
		
		function validarcliente(){
			var codigo=document.getElementById("cdgcli").value;
			miPopup = window.open("comprobarcliente.php?cdgcli="+codigo,"frame_datos1","width=700,height=80,scrollbars=yes");
			document.getElementById("salant").select();
			
		}	
		
		
				function calculo_saldo(){
				
			var monabo=document.getElementById("monabo").value;
			var salant=document.getElementById("salant").value;
	
	        salact = parseFloat(salant) - parseFloat(monabo)  ;
			
			document.getElementById("salact").value = salact;
			
		}	
		
		
		function ceros(obj) {
		  numCeros = '00000'; // pon el nº de ceros que necesites
		  valor = obj.value;
		  valor = numCeros.substring(0,numCeros.length-valor.length)+valor;
		  obj.value = valor; 
		
		}
		
		
				


//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

//funcion que gestiona el evento
function TelcaPulsada1( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
  if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
			 validar_Recibo();			//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
				 return false
			  }
   }
}

document.onkeydown = TelcaPulsada1;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	

function validar_Recibo()
			{
				
			
				if (confirm(" Desea Aplicar el Abono ? ")) {
	  
	             document.getElementById('bloquea').style.display='block';
				
				var mensaje="";
				if (document.getElementById("dsccli").value=="") mensaje+="  - Nombre del Cliente\n";
				if (document.getElementById("cdgcli").value=="") mensaje+="  - Codigo del Cliente\n";
				if (document.getElementById("monabo").value=="") mensaje+="  - Total del Abono\n";
				if (document.getElementById("monabo").value=="0.00") mensaje+="  - Total del Abono\n";
				if (document.getElementById("monabo").value=="0") mensaje+="  - Total del Abono\n";

								
				if (mensaje!="") {
				
					alert("Atencion, Los Siguientes campos no pueden estar en blanco:\n\n"+mensaje);
					
					 document.getElementById('bloquea').style.display='none';
			
				} else {
			
					document.getElementById("form_busqueda").submit();
					
		
	
			}}
			
			}
			
			
			
				
						function cancelar() {
			location.href="index.php?cadena_busqueda=<?php echo $cadena_busqueda?>";
		}



   	function inicio() {
			
			

			document.getElementById("cdgli").select();
		}

 

	 function  cambio()
   
  

		{
				var mensaje="";
				monabo= document.getElementById("monabo").value;
				salant= document.getElementById("salant").value;
			
			
	              
				  
				    var salact =   salant - monabo ;
					salact = parseInt(salact);	
	
					if( salact >= "0" ){
						
			         document.getElementById("salact").value=salact;
					document.getElementById("salact").disabled = "true";
			  		 document.getElementById("salact").value=salact;
					

				
				} else {
				   
					alert("Atencion, El monto del Abono no puede ser MAYOR al Saldo Anterior:\n\n"+document.getElementById("salant").value);
				document.getElementById("monabo").value="0.00";
			    document.getElementById("salact").value="0.00";
				 document.getElementById("salant").focus();


			
				} }
			
				
				
  
			
	
	
	
		

		</script>
	</head>
			<body onLoad=" inicio();  nobackbutton();">
		<div id="">
			<div id="zonaVentanas">
				<div align="center">
				  <div id="" class="contenidoRecibo">
				<form id="form_busqueda" name="form_busqueda" method="post" action="guardar_recibo.php" >
					<table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0>					
						<input id="accion" name="accion" value="alta" type="hidden">
						<input name="numrec"  id="numrec" value="<?php echo $numrec?>" type="hidden">
				
						<tr>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td colspan="2">&nbsp;</td>
						  <td colspan="2">&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td colspan="2">&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td colspan="2">&nbsp;</td>
						  <td colspan="2">&nbsp;</td>
						  <td width="8%">&nbsp;</td>
						  <td width="13%">&nbsp;</td>
						  <td>&nbsp;</td>
						  <td colspan="2">&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td width="0%" rowspan="2">&nbsp;</td>
						  <td width="4%">&nbsp;</td>
						  <td width="18%">&nbsp;</td>
						  <td width="3%" rowspan="2"><img src="../img/Search_Male_User_Icon_48.png" width="48" height="48" onClick="abreVentana()" title="Buscar cliente" onMouseOver="style.cursor=cursor"></td>
						  <td width="5%">&nbsp;</td>
						  <td width="23%">&nbsp;</td>
						  <td width="2%"><div align="right"></div></td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td width="19%">&nbsp;</td>
						  <td colspan="2" ><div align="left"></div></td>
					      <td width="0%" rowspan="2">&nbsp;</td>
					  </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td><input id="cdgcli" autofocus autocomplete="off" type="text" class="cajaGrande" name="cdgcli" maxlength="10"  value=""  style='text-align:center;'    onChange="validarcliente(); " ></td>
						  <td>&nbsp;</td>
						  <td colspan="4"><div align="center">
						    <input id="dsccli"  name="dsccli" style='text-align:center;'  type="text" class="cajaGrande" maxlength="45"    value="<?php echo $dsccli?>" >
					      </div></td>
						  <td><img src="../img/Recycle-Full-icon (2).png" alt="Limpiar" width="48" height="48" title="Limpiar" onClick="limpiar()" onMouseOver="style.cursor=cursor" border="0"></td>
						  <td>&nbsp;</td>
						  <td width="2%">&nbsp;</td>
						</tr>
						<tr>
						  <td rowspan="17">&nbsp;</td>
						  <td colspan="4">&nbsp;</td>
						  <td colspan="5" rowspan="4"><div align="right"></div></td>
						  <td colspan="2" >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td colspan="4">&nbsp;</td>
						  <td colspan="2" >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td colspan="2" >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td colspan="4">&nbsp;</td>
						  <td colspan="2" >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						
						
						<tr>
						  <td colspan="11"><div align="center">SALDO ANTERIOR </div></td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td colspan="6"><input  autocomplete="off" name="salant" type="text"   class="fuente_vuelto" id="salant"  style='text-align:center;' value="0.00"    onFocus="  calculo_saldo(); siguienteCampo ='monabo';" ></td>
						  <td>&nbsp;</td>
						  <td colspan="2" >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td height="18" colspan="4">&nbsp;</td>
						  <td colspan="5">&nbsp;</td>
						  <td colspan="2" >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td height="18" colspan="9"><div align="center">ABONO</div></td>
						  <td colspan="2" >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td height="18">&nbsp;</td>
						  <td height="18">&nbsp;</td>
						  <td height="18" colspan="6"><input  autocomplete="off" name="monabo" type="text"   class="fuente_vuelto" id="monabo"  style='text-align:center;' value="0.00"    onFocus="  calculo_saldo(); siguienteCampo ='salact'; " ></td>
						  <td height="18">&nbsp;</td>
						  <td colspan="2" >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td height="18" colspan="9">&nbsp;</td>
						  <td colspan="2" >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td height="18" colspan="9"><div align="center">SALDO</div></td>
						  <td colspan="2" >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td height="18">&nbsp;</td>
						  <td height="18">&nbsp;</td>
						  <td height="18" colspan="6"><input  autocomplete="off" name="salact" type="text"   class="fuente_vuelto" id="salact"  style='text-align:center;' value="0.00"    onFocus="  calculo_saldo(); siguienteCampo ='detrec';" ></td>
						  <td height="18">&nbsp;</td>
						  <td colspan="2" >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td colspan="9">&nbsp;</td>
						  <td colspan="2" >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td colspan="9"><div align="center">Detalle</div></td>
						  <td colspan="2" >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td colspan="6"><input id="detrec"  name="detrec" type="text" class="fuente_articulos" maxlength="200"      onFocus="  calculo_saldo(); siguienteCampo ='salant';" ></td>
						  <td>&nbsp;</td>
						  <td colspan="2" >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						
						
						<tr>
						  <td height="18" colspan="9">&nbsp;</td>
						  <td colspan="2" >&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						
						
						<tr>
						  <td colspan="11">&nbsp;</td>
					  </tr>
				    </table>
					<div id="frmResultado"> </div>
					<input type="hidden" id="iniciopagina" name="iniciopagina">
				    <div id="">
                      <div align="center"><img src="../img/Symbol-Delete_48x48-32.png" alt="Borrar" width="48" height="48" border="0" align="right" class="aCentro" title="Salir" onClick="cancelar()" onMouseOver="style.cursor=cursor">
					  
                          <input id="codfamilia" name="codfamilia" value="<?php echo $codfamilia?>" type="hidden">
                          <input id="codfacturatmp" name="codfacturatmp" value="<?php echo $codfacturatmp?>" type="hidden">
                          <input id="preciototal2" name="preciototal" value="<?php echo $preciototal?>" type="hidden">
                      </div>
			      </div>
				    <input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			        <img src="../img/Symbol-Check_48x48-32.png"  width="48" height="48" border="0" title="Aceptar"  onClick="validar_Recibo()" onMouseOver="style.cursor=cursor">
				</form>
			  
				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
					
					
				<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
					
			<iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
					</iframe>


			  <div id="bloquea" class="cargando" style="display:none;">
<img style="margin-left: 5%;margin-top: 15%" alt="Espere..." src="../img/procesando.gif" />

</div>  

			  </form>
			 </div>
		  </div>
    </div>
		
	</body>
</html>
